Download it now!
Bug 30798 - Sanitize "versioninfo" section of LibO executables
Summary: Sanitize "versioninfo" section of LibO executables
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-12 04:29 UTC by Andras Timar
Modified: 2011-12-22 05:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
patch to remove German from .rc files (13.62 KB, patch)
2010-10-12 04:30 UTC, Andras Timar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2010-10-12 04:29:56 UTC
tml_: btw, one thing we should fix in the windows build is not to make all executables claim to have "Language: German (Germany)" ...

The attached patch removes the Language: German (Germany) setting. All executables are set to English (US). #ifdefs for 16-bit Windows were also removed.

TODO1: Remove files from the tree which are not used in LibO (legacy StarOffice files).

TODO2: Make "CompanyName" and "LegalCopyright" consistent (and valid from the legal point of view).
Comment 1 Andras Timar 2010-10-12 04:30:47 UTC
Created attachment 39379 [details]
patch to remove German from .rc files
Comment 2 Andras Timar 2010-10-12 05:52:06 UTC
The patch was pushed a few hours ago.
I asked for help regarding TODO2 on [tdf-discuss] list:
Comment 3 Noel Power 2010-10-26 05:35:56 UTC
can we close this issue ( and open new ones for the patches for the TODO(s) ) as and when patches become available?
Comment 4 Andras Timar 2010-10-26 05:51:12 UTC
In "svx\source\intro\ooo.src" the copyright text hes been changed to the following:
Copyright © 2000, 2010 LibreOffice contributors and/or their affiliates. All rights reserved.\nThis product was created by %OOOVENDOR, based on OpenOffice.org, which is Copyright 2000, 2010 Oracle and/or its affiliates.\n%OOOVENDOR acknowledges all community members, please find more info at the link below:

So, the "LegalCopyright" could be: "Copyright © 2000, 2010 LibreOffice contributors and/or their affiliates."

I cannot decide this issue, I'm waiting for approval. BTW nobody replied to my mail on tdf-discuss.
See: http://article.gmane.org/gmane.comp.documentfoundation.discuss/494/match=
Comment 5 Don't use this account, use tml@iki.fi 2010-11-19 06:02:55 UTC
Hmm, what is the status with the TODO2 part now? What remains to be done? I notice that setup_native/source/win32/stwrapper/resource.rc still has LegalCopyright talking about Sun Microsystems, Inc. Is that file even used for anything?
Comment 6 Rainer Bielefeld Retired 2011-10-09 08:12:27 UTC
Can we close this one or is activity planned?
Comment 7 Andras Timar 2011-10-09 10:33:42 UTC
(In reply to comment #6)
> Can we close this one or is activity planned?

Please don't close, I'll work on it soon.
Comment 8 Andras Timar 2011-11-22 05:11:57 UTC
fixed on master.
CompanyName is The Document Foundation
LegalCopyright text is Copyright © 2000, 2010 LibreOffice contributors and/or their affiliates. All rights reserved.
Comment 9 Björn Michaelsen 2011-12-22 05:36:23 UTC
Remove infoprovider from closed and resolved bugs.
Comment 10 Björn Michaelsen 2011-12-22 05:52:47 UTC
RESOLVED, FIXED or CLOSED bugs cant be KEYWORD NEEDINFO.